Subject: Re: linux-next: build warnings after merge of the btrfs tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 20 Sep 2023 13:16:42 +1000

Hi Stephen,

On Tue, 12 Sep 2023 22:20:06 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Hi David,
> 
> On Tue, 12 Sep 2023 13:20:11 +0200 David Sterba <[email-masked]> wrote:
> > 
> > I tried 12 and 13, no warnings on x86_64, however the report is on
> > powerpc. If this is on a big endian host it could be a valid warning, we
> > have an optmization where the on-disk format endianity matches CPU
> > (little endian) then the structures btrfs_disk_key and btrfs_key are
> > equivalent and no coversion is needed.
> > 
> > There were some changes that might be related and newly added to
> > for-next so we don't have any other reference point, I'll take a look.  
> 
> This is indeed a big endian build (big endian cross build on a little
> endian host).  I also did *not* get these warnings on my x86_64 build.

But I do get them from my s390 defconfig build.  Any progress?

-- 
Cheers,
Stephen Rothwell